<?php
include 'include/function.php';

//Получаем конфиг телеги
$telegram = getTelegramConfig();

//Получаем данные JSON
$formData = getFormData();

//Ложим последние входящие данные в файл, на всякий 
//setDataFile($formData);

//Отправляем статус скрипта, если пришла ошибка, то заканчиваем работу
if (isset($formData->error)) {
    send_message($telegram->ada0564_bot->token, $telegram->ada0564_bot->chat, $formData->text);
    if ($formData->error == 1) die;
}

//Поводы для поиска
$povd = ['02А', '40Ц', '20А', '20В', '20Г', '20Д', '20И', '20Н', '20Т', '20У', '20Х', '20Я', '20Ч', '44Р', '20К', '40Т'];

//Получаем историю
$history = json_decode(file_get_contents('history.txt'));
if ($history == '') $history[] = 0;

foreach($formData->result->content as $key => $val) {
    $bool = 0;
    
    //Ищем совпадение по поводам, если нашли, это наш
    foreach ($povd as $s) {
        if (mb_stristr($val->map->REASON, $s)) {
        	$bool = 1;
        }
    }
	
	//Ищем совпадение по Результату, если нашли, это наш
	if (mb_stristr($val->map->CALL_RESULT, 'смерть')) {
		$bool = 1;
	}
    
    //Если наш, то ищем вызов в истории, если найдено, исключаем вызов
    if ($bool == 1) {
        foreach ($history as $item) {
            if ($item == $val->id) $bool = 0;
        }
    }
    
    if ($bool == 1) {
        //Если вызова нет в истории, то пишем в историю
        $history[] = $val->id;
        
        //Формируем сообщение
        $message = generateFullMessage($val);

        //Отправляем данные
        send_message($telegram->ada0563_bot->token, $telegram->ada0563_bot->chat, $message);
        
        if (isset($val->map->FULL_ADDRESS)) {
			
			//Отправляем полное сообщение на Оренбург
			//------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'г оренбург')) {
            	send_message($telegram->meds56_bot->token, $telegram->meds56_bot->chat, $message);
            }
            
            //Отправляем полное сообщение на Переволоцкий район
            //------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'р-н переволоцкий')) {
            	send_message($telegram->meds56_bot_3->token, $telegram->meds56_bot_3->chat, $message);
            }
            
            
            
            //Отправляем короткое сообщение на Оренбург
            //------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'г оренбург')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Оренбург');
					send_message($telegram->meds56_bot_2->token, $telegram->meds56_bot_2->chat, $message_short);
				}
            }
				
			//Отправляем короткое сообщение на Оренбург и Оренбургский район
			//------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'г оренбург') || mb_stristr($val->map->FULL_ADDRESS, 'р-н оренбургский')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Оренбург');
					send_message($telegram->ada0565_bot->token, $telegram->ada0565_bot->chat, $message_short);
				}
            }
            
            //Отправляем короткое сообщение на Орск
            //------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'г орск')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Орск');
					send_message($telegram->ada0567_bot_1->token, $telegram->ada0567_bot_1->chat, $message_short);
				}
            }
            
            //Отправляем короткое сообщение на Новотроицк
            //------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'г новотроицк')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Новотроицк');
					send_message($telegram->ada0567_bot_2->token, $telegram->ada0567_bot_2->chat, $message_short);
				}
            }
            
            //Отправляем короткое сообщение на Бузулук и Бузулукский район
			//------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'г бузулук') || mb_stristr($val->map->FULL_ADDRESS, 'р-н бузулукский')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Бузулук');
					send_message($telegram->meds56_bot_4->token, $telegram->meds56_bot_4->chat, $message_short);
				}
            }
            
            //Отправляем короткое сообщение на Курманаевский район
			//------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'р-н курманаевский')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Курманаевский');
					send_message($telegram->meds56_bot_4->token, $telegram->meds56_bot_4->chat, $message_short);
				}
            }
            
            //Отправляем короткое сообщение на Октябрьский район
			//------------------------------------------------------------------------------------------------------------
            if (mb_stristr($val->map->FULL_ADDRESS, 'р-н октябрьский')) {
				if (age18($val)) {
				    $message_short = generateShortMessage($val, 'Октябрьский');
					send_message($telegram->meds56_bot_5->token, $telegram->meds56_bot_5->chat, $message_short);
				}
            }
			
        }
    }
}

//Подчищаем историю, храним последние 1500 записей
$i = 0;
while (count($history) > 1500) {
    unset($history[$i]);
    $i++;
}
//Переиндексируем массив с историей
$history = array_values($history);

//Перезаписываем историю
file_put_contents('history.txt', json_encode($history));
?>