<?php
//Получаем входящие данные
function getFormData() {
	return json_decode(file_get_contents('php://input'));
}

//Запись входящих данных в файл
function setDataFile($data) {
	file_put_contents('temp/input.txt', json_encode($data, JSON_UNESCAPED_UNICODE));
}

//Получаем входящие данные которые были сохранены в файле
function getDataFromFiles() {
	return json_decode(file_get_contents('temp/input.txt'));
}

//Получаем конфиг телеграмма
function getTelegramConfig() {
    return json_decode(file_get_contents('include/telegram_bot_config.txt'));
}

//Формирование полного сообщения
function generateFullMessage($data) {
    $message = '';
    $message = 
    (isset($data->map->CALL_NUMBER) ? "Номер карточки: ".$data->map->CALL_NUMBER.(isset($data->id) ? " (".$data->id.")" : "") : "").
    (isset($data->map->FULL_ADDRESS) ? "\nАдрес: ".$data->map->FULL_ADDRESS : "").
    (isset($data->map->CALL_PLACE) ? "\nМесто: ".$data->map->CALL_PLACE : "").
    (isset($data->map->REASON) ? "\nПовод: ".$data->map->REASON : "").
    (isset($data->map->DOP_REASON) ? "\nКомментарий: ".$data->map->DOP_REASON : "").
    (isset($data->map->SURNAME) ? "\nФамилия: ".$data->map->SURNAME : "").
    (isset($data->map->NAME) ? "\nИмя: ".$data->map->NAME : "").
    (isset($data->map->PATRONYMIC) ? "\nОтчество: ".$data->map->PATRONYMIC : "").
    (isset($data->map->SEX) ? "\nПол: ".$data->map->SEX : "").
    (isset($data->map->AGE) ? "\nВозраст: ".$data->map->AGE.(isset($data->map->AGE_TYPE) ? " ".$data->map->AGE_TYPE : "") : "").
    (isset($data->map->CALLER_TYPE) ? "\nКто вызвал: ".$data->map->CALLER_TYPE : "").
    (isset($data->map->CALLER_PHONE) ? "\nТелефон: ".$data->map->CALLER_PHONE : "").
	(isset($data->map->CALL_RESULT) ? "\nРезультат: ".$data->map->CALL_RESULT : "").
    (isset($data->map->CALL_RECEIVE_DATE_TIME) ? "\nДата вызова: ".$data->map->CALL_RECEIVE_DATE_TIME : "");
    return $message;
}

//Формирование короткого сообщения
function generateShortMessage($data, $city = 'Оренбург') {
    $message = 
    (isset($data->map->FULL_ADDRESS) ? str_replace("г ".$city.", ", "", $data->map->FULL_ADDRESS) : "").
	(isset($data->map->DOP_REASON) ? " ".$data->map->DOP_REASON : "")."\n".
	(isset($data->map->CALLER_PHONE) ? $data->map->CALLER_PHONE : "").
	(isset($data->map->SEX) ? " ".($data->map->SEX == 'мужской' ? 'М' : 'Ж') : "").
	(isset($data->map->AGE) ? " ".$data->map->AGE : "")."\n".
	(isset($data->map->REASON) ? (mb_stristr($data->map->REASON, '40Ц') ? "" : (mb_stristr($data->map->REASON, '44Р') ? "реанимация\n" : ((isset($data->map->CALL_RESULT) && mb_stristr($data->map->CALL_RESULT, 'смерть')) ? "100%\n" : "???\n"))) : "");
    return $message;
}

//Проверка на 18+ по возрасту
function age18($data) {
	if (isset($data->map->AGE)) {
		if ((((int) $data->map->AGE > 17) || ((int) $data->map->AGE == 0)) && isset($data->map->AGE_TYPE) && $data->map->AGE_TYPE == 'Лет') return true;
		else return false;
	} else return true;
}


//Отправка сообщения в телегу
function send_message($token, $chat, $message, $keyboard = false) {
    if ($keyboard == false) {
        $response = array('chat_id' => $chat, 'text' => $message);
    } else {
        $response = array('chat_id' => $chat, 'text' => $message, 'reply_markup' => json_encode($keyboard));
    }
    $ch = curl_init('https://api.telegram.org/bot'.$token.'/sendMessage');
    curl_setopt($ch, CURLOPT_POST, 1);  
    curl_setopt($ch, CURLOPT_POSTFIELDS, $response);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HEADER, false);
    curl_exec($ch);
    curl_close($ch);
}

?>